# norootforbuild

Summary:	memcached C library and command line tools
Name:		libmemcached
Version:	0.11
Release:	6.1
License:	BSD
Group:		System Environment/Libraries
URL:		http://tangent.org/552/libmemcached.html
Packager:	Carsten Schoene <cs@linux-administrator.com>
Source:		http://download.tangent.org/libmemcached-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++

%description
libmemcached is a C client library to the memcached server
(http://danga.com/memcached). It has been designed to be light on memory
usage, and provide full access to server side methods.

It also implements several command line tools:

memcat - Copy the value of a key to standard output.
memflush - Flush the contents of your servers.
memrm - Remove a key(s) from the serrver.
memstat - Dump the stats of your servers to standard output.
memslap - Generate testing loads on a memcached cluster.
memcp - Copy files to memcached servers.
memerror - Creates human readable messages from libmemecached error codes.

%prep
%setup

%configure

%build
%{__make} %{_smp_mflags} || hostname -f

%install
%{__rm} -rf %{buildroot}
%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""

%clean
%{__rm} -rf %{buildroot}

%files
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memstat
%{_bindir}/memslap
%{_includedir}/libmemcached/memcached.h
%{_libdir}/libmemcached.a
%{_libdir}/libmemcached.la
%{_libdir}/libmemcached.so
%{_libdir}/libmemcached.so.1
%{_libdir}/libmemcached.so.1.0.1
%{_libdir}/pkgconfig/libmemcached.pc
%{_mandir}/man1/memcat.1.gz
%{_mandir}/man1/memcp.1.gz
%{_mandir}/man1/memerror.1.gz
%{_mandir}/man1/memflush.1.gz
%{_mandir}/man1/memrm.1.gz
%{_mandir}/man1/memslap.1.gz
%{_mandir}/man1/memstat.1.gz
%{_mandir}/man3/libmemcached.3.gz
%{_mandir}/man3/libmemcached_examples.3.gz
%{_mandir}/man3/memcached_add.3.gz
%{_mandir}/man3/memcached_append.3.gz
%{_mandir}/man3/memcached_behavior_get.3.gz
%{_mandir}/man3/memcached_behavior_set.3.gz
%{_mandir}/man3/memcached_cas.3.gz
%{_mandir}/man3/memcached_clone.3.gz
%{_mandir}/man3/memcached_create.3.gz
%{_mandir}/man3/memcached_decrement.3.gz
%{_mandir}/man3/memcached_delete.3.gz
%{_mandir}/man3/memcached_fetch.3.gz
%{_mandir}/man3/memcached_fetch_result.3.gz
%{_mandir}/man3/memcached_free.3.gz
%{_mandir}/man3/memcached_get.3.gz
%{_mandir}/man3/memcached_increment.3.gz
%{_mandir}/man3/memcached_mget.3.gz
%{_mandir}/man3/memcached_prepend.3.gz
%{_mandir}/man3/memcached_quit.3.gz
%{_mandir}/man3/memcached_replace.3.gz
%{_mandir}/man3/memcached_server_add.3.gz
%{_mandir}/man3/memcached_server_count.3.gz
%{_mandir}/man3/memcached_server_list.3.gz
%{_mandir}/man3/memcached_server_list_append.3.gz
%{_mandir}/man3/memcached_server_list_count.3.gz
%{_mandir}/man3/memcached_server_list_free.3.gz
%{_mandir}/man3/memcached_server_push.3.gz
%{_mandir}/man3/memcached_servers_parse.3.gz
%{_mandir}/man3/memcached_set.3.gz
%{_mandir}/man3/memcached_stat.3.gz
%{_mandir}/man3/memcached_stat_get_keys.3.gz
%{_mandir}/man3/memcached_stat_get_value.3.gz
%{_mandir}/man3/memcached_stat_servername.3.gz
%{_mandir}/man3/memcached_strerror.3.gz
%{_mandir}/man3/memcached_verbosity.3.gz

%changelog
* Mon Nov 26 2007 Carsten Schoene <cs@linux-administrator.com> - 0.11-1
- version bump to 0.11
 - Added option to memcache_behavior_set() so that poll() can be timed out.
 - Fixed memory leak in case of using memcached_fetch_result() where no
    value was returned.
 - Bug fixed in memcached_connect() which would cause servers that
    did not need to be enabled to be enabled (performance issue).
 - Rewrote bounds checking code for get calls.
 - "make test" now starts its own memcached servers.
 - Added Hseih hash (MEMCACHED_HASH_HSIEH), which is showing about 7%
    performance over standard hash.

* Sat Nov 24 2007 Carsten Schoene <cs@linux-administrator.com> - 0.10-1
- version bump to 0.10
 - Added append binary test.
 - Added MEMCACHED_BEHAVIOR_CACHE_LOOKUPS behavior so that you can save on
    multiple DNS lookups.
 - Added CAS support, though this is optional and must be enabled during
    runtime.
 - Added the utility memerror to create human readable error strings
    from memcached errors (aka convert ints to strings)
 - Fixed type in MEMCACHED_HOST_LOOKUP_FAILURE
 - Fixed bug where hostname might not be null terminated
 - Moved to using gethostbyname_r() on Linux to solve thread safety issue
 - Added -rpath support for pkg-config
 - Documentation fix for hash setting using 

* Fri Nov 16 2007 Carsten Schoene <cs@linux-administrator.com> - 0.9-1
- version bump to 0.9
 - fix for when no servers are definied.
 - different buffers are now kept for different connections to
   speed up async efforts
 - Modified increment/decrement functions to return uint64_t values
 - Fixed bug in cases where zero length keys were provided
 - Thread cleanup issue in memslap
 - No hostname lookup on reconnect
 - Fix for flag settings (was doing hex by accident!)
 - Support for 1.2.4 server additions "prepend" and "append" added.
 - Added memcached_version()... not sure if I will make this public
   or not.

* Mon Nov  5 2007 Brian Aker <brian@tangent.org> - 0.8-1
- Automated version number

* Wed Oct  3 2007 Brian Aker <brian@tangent.org> - 0.4-1
- See Changelog

* Mon Oct  1 2007 Brian Aker <brian@tangent.org> - 0.3-1
- Added memslap

* Fri Sep 28 2007 Jeff Fisher <guppy@techmonkeys.org> - 0.2-1
- Initial package
